Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Class XWorkConstants

    java.lang.Object
      com.opensymphony.xwork2.XWorkConstants

    public final class XWorkConstants

extends Object

Constants used across framework

Field Summary
`static String` | `ADDITIONAL_ACCEPTED_PATTERNS`
`static String` | `ADDITIONAL_EXCLUDED_PATTERNS`
`static String` | `ALLOW_STATIC_METHOD_ACCESS`
`static String` | `ARRAY_CONVERTER`
`static String` | `COLLECTION_CONVERTER`
`static String` | `DATE_CONVERTER`
`static String` | `DEV_MODE`
`static String` | `ENABLE_OGNL_EVAL_EXPRESSION`
`static String` | `ENABLE_OGNL_EXPRESSION_CACHE`
`static String` | `LOG_MISSING_PROPERTIES`
`static String` | `NUMBER_CONVERTER`
`static String` | `OGNL_EXCLUDED_CLASSES`
`static String` | `OGNL_EXCLUDED_PACKAGE_NAME_PATTERNS`
`static String` | `OGNL_EXCLUDED_PACKAGE_NAMES`
`static String` | `OVERRIDE_ACCEPTED_PATTERNS`
`static String` | `OVERRIDE_EXCLUDED_PATTERNS`
`static String` | `RELOAD_XML_CONFIGURATION`
`static String` | `STRING_CONVERTER`
`static String` | `XWORK_DISALLOW_PROXY_MEMBER_ACCESS`
`static String` | `XWORK_LOGGER_FACTORY`

Constructor Summary
`XWorkConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLLECTION_CONVERTER

    public static final String COLLECTION_CONVERTER

See Also:
  Constant Field Values

### DATE_CONVERTER

    public static final String DATE_CONVERTER

See Also:
  Constant Field Values

### NUMBER_CONVERTER

    public static final String NUMBER_CONVERTER

See Also:
  Constant Field Values

### STRING_CONVERTER

    public static final String STRING_CONVERTER

See Also:
  Constant Field Values

### ARRAY_CONVERTER

    public static final String ARRAY_CONVERTER

See Also:
  Constant Field Values

### DEV_MODE

    public static final String DEV_MODE

See Also:
  Constant Field Values

### LOG_MISSING_PROPERTIES

    public static final String LOG_MISSING_PROPERTIES

See Also:
  Constant Field Values

### ENABLE_OGNL_EXPRESSION_CACHE

    public static final String ENABLE_OGNL_EXPRESSION_CACHE

See Also:
  Constant Field Values

### ENABLE_OGNL_EVAL_EXPRESSION

    public static final String ENABLE_OGNL_EVAL_EXPRESSION

See Also:
  Constant Field Values

### RELOAD_XML_CONFIGURATION

    public static final String RELOAD_XML_CONFIGURATION

See Also:
  Constant Field Values

### ALLOW_STATIC_METHOD_ACCESS

    public static final String ALLOW_STATIC_METHOD_ACCESS

See Also:
  Constant Field Values

### XWORK_LOGGER_FACTORY

    public static final String XWORK_LOGGER_FACTORY

See Also:
  Constant Field Values

### OGNL_EXCLUDED_CLASSES

    public static final String OGNL_EXCLUDED_CLASSES

See Also:
  Constant Field Values

### OGNL_EXCLUDED_PACKAGE_NAME_PATTERNS

    public static final String OGNL_EXCLUDED_PACKAGE_NAME_PATTERNS

See Also:
  Constant Field Values

### OGNL_EXCLUDED_PACKAGE_NAMES

    public static final String OGNL_EXCLUDED_PACKAGE_NAMES

See Also:
  Constant Field Values

### ADDITIONAL_EXCLUDED_PATTERNS

    public static final String ADDITIONAL_EXCLUDED_PATTERNS

See Also:
  Constant Field Values

### ADDITIONAL_ACCEPTED_PATTERNS

    public static final String ADDITIONAL_ACCEPTED_PATTERNS

See Also:
  Constant Field Values

### OVERRIDE_EXCLUDED_PATTERNS

    public static final String OVERRIDE_EXCLUDED_PATTERNS

See Also:
  Constant Field Values

### OVERRIDE_ACCEPTED_PATTERNS

    public static final String OVERRIDE_ACCEPTED_PATTERNS

See Also:
  Constant Field Values

### XWORK_DISALLOW_PROXY_MEMBER_ACCESS

    public static final String XWORK_DISALLOW_PROXY_MEMBER_ACCESS

See Also:
  Constant Field Values

Constructor Detail

### XWorkConstants

    public XWorkConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.